export function HelpRSLangTypes() {
  return (
    <div>
      <h1>Типизация</h1>
      <p>
        Родоструктурное выражение <code>ξ</code> обладает типизацией (структурой), если выполнено ξ∈H,
        <br />
        где <code>H</code> – корректное выражение <b>ступени</b>, задаваемой следующими правилами:
        <li>
          <code>Xi, Ci</code> – ступень, называемая <b>элемент</b>;
        </li>
        <li>
          Z – ступень, называемая <b>целое число</b>;
        </li>
        <li>
          <code>(H1×...×Hn)</code> – ступень, называемая <b>кортеж арности n</b>;
        </li>
        <li>
          <code>ℬ(H)</code> – ступень, называемая <b>множеством</b>.
        </li>
      </p>
      <p>Пустое множество ∅ имеет типизацию ℬ(R0) – множество с произвольной структурой элемента</p>
      <p>
        Для обобщения понятия типизация на логические и параметризованные выражения вводится ряд дополнительных
        обозначений
      </p>
      <p>
        Логические выражения (аксиомы, теоремы), принимающие значения ИСТИНА или ЛОЖЬ относятся к типизации <b>Logic</b>
      </p>
      <p>
        Параметризованные выражения (терм-функции, предикат-функции) относятся к типизации <br />
        <code>Hr 🠔 [H1, H2,...Hi]</code>,
        <br />
        где <code>Hr</code> – типизация результата, <code>H1,...Hi</code> – типизации аргументов
      </p>
      <p></p>
      <p>
        Шаблонные параметризованные выражения могут содержать обозначения <code>R1,...Ri</code>, соответствующие
        произвольным ступеням, определяемым исходя из типизации аргументов по месту использования выражения.
      </p>
    </div>
  );
}
